GuideLab API

Finalize a direct file upload

Confirms that a previously presigned upload completed successfully, validates the stored object metadata and size, and then creates the file DB record.

POST
/files/finalize

Confirms that a previously presigned upload completed successfully, validates the stored object metadata and size, and then creates the file DB record.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/files/finalize" \  -H "Content-Type: application/json" \  -d '{    "finalizeToken": "string"  }'
{  "id": "string",  "partnershipId": "string",  "uploadedByOrganizationId": "string",  "name": "string",  "type": "string",  "mimeType": "string",  "size": 0,  "url": "string",  "thumbnailUrl": "string",  "orderId": "string",  "patientId": "string",  "orderItemId": "string",  "fileRequirementId": "string",  "createdAt": "string"}
Empty
Empty
Empty
Empty
Empty